## net-snmp 5.7.2.1+dfsg

=== dist/Makefile ===
# ======================================================================
# $Source$
# $Revision$
# $Date$
# $Author$
# $Name$
# $State$
# ======================================================================

# Makefile for generating rpm package files (.rpm) for net-snmp.

# GNU 'make'-specific features are used in this makefile.
# Other makes may or may not work with it.
# See http://www.gnu.org/manual/make/index.html for details.

SHELL = /bin/sh

# Define the RPM package name
NAME = net-snmp

# Define the default RPM release number. Set by Version-Munge.pl
VERSION = 5.7.2.1

VERSION_TAG=`echo Ext-$(VERSION) | sed 's/\./-/g;'`

WITH_PERL=1
EMBED_PERL=1

# Define the RPM architecture, i.e., 'ppc', 'i386', etc.
ARCH = `uname -i`

# Directory structure expected by 'rpm' program
RPM_BASE := $(PWD)/rpm

RPM_TREE := \
    $(RPM_BASE)/BUILD \
    $(RPM_BASE)/RPMS \
    $(RPM_BASE)/SOURCES \
    $(RPM_BASE)/SPECS \
    $(RPM_BASE)/SRPMS

.PHONY:	all clean rpm_files binary_rpm source_rpm all_rpm

all:	all_rpm_files

# Delete all generated files.
clean:
	rm -rf $(RPM_BASE)

# --------------------------------------------------------------------
# Macros and rules for updating net-snmp-x.x.x.tar.gz.
# 'rpm' expects a compressed archive (.tar.gz) of the source directory
# to exist (in the rpm/SOURCES directory) before it is run.
# --------------------------------------------------------------------
CVSROOT = :pserver:anonymous@net-snmp.cvs.sourceforge.net:/cvsroot/net-snmp

PKG_VER := $(NAME)-$(VERSION)

GZIP_TAR := $(RPM_BASE)/SOURCES/$(PKG_VER).tar.gz

gzip_tar:	$(GZIP_TAR)

$(GZIP_TAR):
	@echo "Creating a compressed archive of the package's source files..."
	(cd $(RPM_BASE)/SOURCES; \
	cvs -d$(CVSROOT) login; \
	cvs -z3 -d$(CVSROOT) export -r$(VERSION_TAG) $(NAME); \
	mv $(NAME) $(PKG_VER); \
	tar cf $(PKG_VER).tar $(PKG_VER); \
	gzip $(PKG_VER).tar)
	@echo "A compressed archive of the package's source-file tree has been created."

# --------------------------------------------------------------------
# Macros and rules for updating the binary and source RPM package files.
# --------------------------------------------------------------------
# Redefine '%_topdir' to allow an RPM package file to be built anywhere,
# instead of in the /usr/src/redhat directory tree.
#
# Don't want 'rpmbuild' to strip your executable programs?
# Then add this line:
#   --define='_os_install_post /usr/lib/rpm/brp-compress' \
# to the RPM_OPTS macro definition.  This will eliminate the 
# stripping of binaries, but still retain the compression of
# manual pages.
#
ifeq ($(WITH_PERL),0)
PERLOPTS = --without perl_modules
endif
ifeq ($(EMBED_PERL),0)
PERLOPTS += --without embedded_perl
endif

RPM_OPTS := \
    --define='_topdir $(RPM_BASE)' \
    --define='_includedir /usr/include/net-snmp' \
    --target $(ARCH) $(PERLOPTS)

SPEC_FILE  := $(NAME).spec
RPM_SPEC   := $(RPM_BASE)/SPECS/$(SPEC_FILE)

BINARY_RPM := $(RPM_BASE)/RPMS/$(ARCH)/$(PKG_VER)-$(RELEASE).$(ARCH).rpm
SOURCE_RPM := $(RPM_BASE)/SRPMS/$(PKG_VER)-$(RELEASE).src.rpm

rpm_files:	$(GZIP_TAR) all_rpm_files
binary_rpm:	$(BINARY_RPM)
source_rpm:	$(SOURCE_RPM)
rpm_tree: $(RPM_TREE)

all_rpm_files:	$(RPM_TREE) $(RPM_SPEC)
	(cd $(RPM_BASE)/SPECS; \
	rpmbuild -ba $(RPM_OPTS) $(SPEC_FILE))

$(BINARY_RPM):	$(RPM_TREE) $(RPM_SPEC)
	(cd $(RPM_BASE)/SPECS; \
	rpmbuild -bb $(RPM_OPTS) $(SPEC_FILE))

$(SOURCE_RPM):	$(RPM_TREE) $(RPM_SPEC)
	(cd $(RPM_BASE)/SPECS; \
	rpmbuild -bs $(RPM_OPTS) $(SPEC_FILE))

$(RPM_SPEC):	$(RPM_BASE)/SPECS $(SPEC_FILE)
	cp $(SPEC_FILE) $@

$(RPM_TREE):
	mkdir -p $@

$(SPEC_FILE):
	@echo "ERROR: missing '$(SPEC_FILE)' in the current directory"
	@exit 1

FORCE:

# === End of Makefile === #

=== debian/changelog ===
net-snmp (5.7.2.1+dfsg-1) unstable; urgency=medium

  * re-generate upstream source due to accidentally include non-free MIB files.
    Now those are removed from source again (Closes: #782598)

 -- Hideki Yamane <henrich@debian.org>  Sun, 12 Apr 2015 06:38:47 +0900

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# TODO
# without -pie build fails during perl module build somehow...
export DEB_BUILD_MAINT_OPTIONS := hardening=+all,-pie
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

LIB_VERSION = 30
UPSTREAM_VERSION = $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ':' | sed 's/ //' | sed 's/~dfsg.*$$//')
COMPAT_VERSION = $(UPSTREAM_VERSION)~dfsg
PYTHON_VERSION = 1.0a1

MIB_MODULES = smux ucd-snmp/dlmod mibII/mta_sendmail disman/event-mib
EXCL_MIB_MODULES =

OLD_MIBS_DIR="/usr/share/mibs/site:/usr/share/snmp/mibs:/usr/share/mibs/iana:/usr/share/mibs/ietf:/usr/share/mibs/netsnmp"
MIBS_DIR="/usr/share/snmp/mibs:/usr/share/snmp/mibs/iana:/usr/share/snmp/mibs/ietf"

ifeq (linux,$(DEB_BUILD_ARCH_OS))
MIB_MODULES += ucd-snmp/diskio ucd-snmp/lmsensorsMib etherlike-mib/dot3StatsTable
IPV6 = --enable-ipv6
DEB_DH_GENCONTROL_ARGS=-- -Vos-specific-dev="libsensors4-dev"
else
ifeq (kfreebsd,$(DEB_BUILD_ARCH_OS))
IPV6 = --disable-ipv6
DEB_DH_GENCONTROL_ARGS=-- -Vos-specific-dev="libkvm-dev"
endif
endif
ifeq (hurd,$(DEB_BUILD_ARCH_OS))
IPV6 = --enable-ipv6
EXCL_MIB_MODULES += mibII
else
MIB_MODULES += host
endif

%:
	dh $@ --with autotools-dev,autoreconf,python2

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man \
	  --with-persistent-directory=/var/lib/snmp \
	  --enable-ucd-snmp-compatibility \
	  --enable-shared --with-cflags="$(CFLAGS) -DNETSNMP_USE_INLINE" \
	  --with-ldflags="$(LDFLAGS)" \
	  --with-perl-modules="INSTALLDIRS=vendor" --enable-as-needed \
	  $(IPV6) --with-logfile=none \
	  --without-rpm --with-libwrap --with-openssl \
	  --without-dmalloc --without-efence --without-rsaref \
	  --with-sys-contact="root" --with-sys-location="Unknown" \
	  --with-mib-modules="$(MIB_MODULES)" \
	  --with-out-mib-modules="$(EXCL_MIB_MODULES)" \
	  --enable-mfd-rewrites \
	  --with-mnttab=/etc/mtab \
	  --with-mibdirs="\$$HOME/.snmp/mibs:$(MIBS_DIR):$(OLD_MIBS_DIR)" \
	  --with-mysql \
	  --with-defaults
# --with-python-modules=""  # don't specify it, since dh_python2 cannot handle it.
# --with-dnssec-local-validation  # not enabled since libval doesn't exist in Debian yet

override_dh_clean:
	dh_clean
	rm -rf `find . -name .libs` \
	       python/build         \
	       python/netsnmp_python.egg-info

override_dh_strip:
	dh_strip -plibsnmp$(LIB_VERSION) --dbg-package=libsnmp$(LIB_VERSION)-dbg
	dh_strip

override_dh_makeshlibs:
	dh_makeshlibs -plibsnmp$(LIB_VERSION) -V"libsnmp$(LIB_VERSION) (>= $(COMPAT_VERSION))"

override_dh_install:
	cd python; python setup.py build --basedir=$(CURDIR) ; \
		   python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb --basedir=$(CURDIR) ; \
		   find $(CURDIR) -name *.pyc -delete
	install $(CURDIR)/EXAMPLE.conf $(CURDIR)/debian/snmpd/etc/snmp/snmpd.conf
	dh_install

override_dh_installdocs:
	dh_installdocs --link-doc=libsnmp$(LIB_VERSION) \
		       -plibsnmp-dev \
		       -plibsnmp$(LIB_VERSION)-dbg \
		       -ppython-netsnmp \
		       -psnmpd \
		       -psnmptrapd \
		       -psnmp
	dh_installdocs  -plibsnmp-perl -ptkmib -plibsnmp-base
	# dh_installdocs has a bug when --link-doc is called it don't install copyright file to referenced package
	# so specify to copy it
	install -d $(CURDIR)/debian/libsnmp$(LIB_VERSION)/usr/share/doc/libsnmp$(LIB_VERSION)/
	install -m644 debian/copyright $(CURDIR)/debian/libsnmp$(LIB_VERSION)/usr/share/doc/libsnmp$(LIB_VERSION)/

override_dh_fixperms:
	dh_fixperms
	chmod -x debian/libsnmp-dev/etc/snmp/*.conf
	chmod 600 debian/snmpd/etc/snmp/snmp*d.conf

override_dh_auto_test:
	# prevent test since it fails with network configuration under pbuilder/etc.
	true

get-orig-source:
	@uscan --download-version $(UPSTREAM_VERSION) --destdir /tmp --force-download --no-symlink
	@tar xf /tmp/net-snmp-$(UPSTREAM_VERSION).tar.gz -C /tmp
	@rm -rf /tmp/net-snmp-$(UPSTREAM_VERSION)/doc
	@cd /tmp/net-snmp-$(UPSTREAM_VERSION)/mibs; \
	 grep ^iana ianalist | while read iana mibs; do rm -f `echo $$mibs | sed -e s/$$/.txt/`; done; \
	 cat rfclist | while read rfc mibs; do rm -f `echo $$mibs | sed 's/:/.txt /g' | sed 's/$$/.txt/'`; done
	@rm -f /tmp/net-snmp-$(UPSTREAM_VERSION)/mibs/RFC-1215.txt
	@cd /tmp; tar cJf net-snmp_$(COMPAT_VERSION).orig.tar.xz net-snmp-$(UPSTREAM_VERSION)
	@rm -rf /tmp/net-snmp-$(UPSTREAM_VERSION)

## net-snmp 5.7.3%2Bdfsg

=== debian/control ===
Source: net-snmp
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>
Uploaders: Jochen Friedrich <jochen@scram.de>, Thomas Anders <tanders@users.sourceforge.net>, Noah Meyerhans <noahm@debian.org>,
 Hideki Yamane <henrich@debian.org>
Build-Depends: debhelper (>= 9), libtool, libwrap0-dev, libssl-dev, perl (>=5.8), libperl-dev,
 python-all (>= 2.6.6-3~), python-setuptools (>=0.6b3), python2.7-dev,
 autoconf, automake, autotools-dev, debianutils (>=1.13.1),
 dh-autoreconf, dh-systemd,
 bash (>=2.05), findutils (>=4.1.20), procps, 
 pkg-config [kfreebsd-i386 kfreebsd-amd64], 
 libbsd-dev [kfreebsd-i386 kfreebsd-amd64], 
 libkvm-dev [kfreebsd-i386 kfreebsd-amd64], 
 libsensors4-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
 default-libmysqlclient-dev, libpci-dev, dh-python, dh-apport
Build-Conflicts: libsnmp-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-net-snmp/pkg-net-snmp.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-net-snmp/pkg-net-snmp.git
XS-Python-Version: 2.7
Homepage: http://net-snmp.sourceforge.net/

Package: snmpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, debconf, lsb-base (>= 3.2-13), libsnmp-base
Suggests: snmptrapd
Description: SNMP (Simple Network Management Protocol) agents
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP agent is a daemon which listens for incoming SNMP
 requests from clients and provides responses.

Package: snmptrapd
Architecture: any
Recommends: perl
Depends: ${shlibs:Depends}, ${misc:Depends}, snmpd
Conflicts: snmpd (<< 5.7.2.1~dfsg-1), snmp (<< 5.7.2.1~dfsg-1)
Breaks: snmpd (<< 5.7.2.1~dfsg-1)
Replaces: snmp (<< 5.7.2.1~dfsg-1)
Description: Net-SNMP notification receiver
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 snmptrapd is an SNMP application (daemon) that receives and logs SNMP TRAP
 and INFORM messages.

Package: snmp
Architecture: any
Recommends: perl
Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base
Breaks: libsnmp15 (<< 5.7.2~dfsg-0.1)
Description: SNMP (Simple Network Management Protocol) applications
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients. 
 .
 The Net-SNMP applications are a collection of command line clients
 for issuing SNMP requests to agents.

Package: libsnmp-base
Section: libs
Architecture: all
Replaces: libsnmp-dev (<< 5.4~dfsg), libsnmp9-dev (<< 5.4~dfsg), libsnmp15 (<< 5.7.2~dfsg-5)
Conflicts: libsnmp-dev (<< 5.4~dfsg), libsnmp9-dev (<< 5.4~dfsg), libsnmp30 (<< 5.7.2~dfsg-5)
Breaks: libsnmp15 (<< 5.7.2~dfsg-5)
Depends: ${misc:Depends}
Suggests: snmp-mibs-downloader
Multi-Arch: foreign
Description: SNMP configuration script, MIBs and documentation
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 This package includes net-snmp-config scripts, documentation and MIBs
 (Management Information Bases) for the SNMP libraries, agents and
 applications. MIBs contain a formal description of the data that can be
 managed using SNMP and applications.
 .
 NOTE: If you want the OIDs (Object Identifiers) to resolve to their text
 description, you need to activate the non-free repository and install the
 "snmp-mibs-downloader" package.

Package: libsnmp30
Section: libs
Architecture: any
Replaces: libsnmp-base (<< 5.4.2.1~dfsg-4), snmp (<< 5.4.3~dfsg-1), libsnmp15
Breaks: libsnmp15
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base
Description: SNMP (Simple Network Management Protocol) library
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP library contains common functions for the construction,
 sending, receiving, decoding, and manipulation of the SNMP requests
 and responses.

Package: libsnmp30-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libsnmp30 (=${binary:Version}), ${misc:Depends}
Description: SNMP (Simple Network Management Protocol) library debug
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 This package contains the debug symbols for the Net-SNMP libraries.

Package: libsnmp-dev
Section: libdevel
Architecture: any
Replaces: libsnmp9-dev, libsnmp15-dev, snmp (<< 5.4~dfsg), libsnmp-base (<< 5.7.2~dfsg-8.1~)
Provides: libsnmp9-dev
Conflicts: libsnmp9-dev, libsnmp15-dev, snmp (<< 5.4~dfsg)
Breaks: libsnmp-base (<< 5.7.2~dfsg-8.1~)
Depends: libc6-dev, libsnmp30 (=${binary:Version}), libwrap0-dev, libssl-dev, procps,
         libkvm-dev [kfreebsd-any], libsensors4-dev [linux-any], ${misc:Depends},
         libpci-dev
Description: SNMP (Simple Network Management Protocol) development files
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP development files include the library headers, static
 libraries, and documentation needed for development of custom SNMP
 applications.

Package: libsnmp-perl
Section: perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: SNMP (Simple Network Management Protocol) Perl5 support
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP Perl5 support files provide the Perl functions for
 integration of SNMP into applications written in Perl.

Package: python-netsnmp
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Breaks: libsnmp-python
Replaces: libsnmp-python
Provides: libsnmp-python, ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: SNMP (Simple Network Management Protocol) Python support
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP Python support files provide the Python functions for
 integration of SNMP into applications written in Python.

Package: tkmib
Architecture: all
Depends: libsnmp-perl (>=${source:Version}), perl-tk, ${misc:Depends}
Description: SNMP (Simple Network Management Protocol) MIB browser
 The Simple Network Management Protocol (SNMP) provides a framework
 for the exchange of management information between agents (servers)
 and clients.
 .
 The Net-SNMP MIB (Management Information Base) Browser provides a
 graphical frontend for the Net-SNMP tools. It can be used to browse
 the MIB tree and interactively send requests to SNMP agents.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
-# TODO
-# without -pie build fails during perl module build somehow...
-export DEB_BUILD_MAINT_OPTIONS := hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 LIB_VERSION = 30
@@ -23,8 +21,10 @@
 DEB_DH_GENCONTROL_ARGS=-- -Vos-specific-dev="libsensors4-dev"
 else
 ifeq (kfreebsd,$(DEB_BUILD_ARCH_OS))
-IPV6 = --disable-ipv6
+IPV6 = --enable-ipv6
 DEB_DH_GENCONTROL_ARGS=-- -Vos-specific-dev="libkvm-dev"
+CFLAGS += $(shell pkg-config --cflags libbsd-overlay)
+LDFLAGS += $(shell pkg-config --libs libbsd-overlay)
 endif
 endif
 ifeq (hurd,$(DEB_BUILD_ARCH_OS))
@@ -35,7 +35,7 @@
 endif
 
 %:
-	dh $@ --with autotools-dev,autoreconf,python2
+	dh $@ --with autotools-dev,autoreconf,python2,systemd,apport
 
 override_dh_auto_configure:
 	dh_auto_configure -- --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man \
@@ -58,11 +58,25 @@
 # --with-python-modules=""  # don't specify it, since dh_python2 cannot handle it.
 # --with-dnssec-local-validation  # not enabled since libval doesn't exist in Debian yet
 
+override_dh_auto_build:
+	dh_auto_build
+	cd python; python setup.py build --basedir=$(CURDIR)
+
+override_dh_auto_install:
+	dh_auto_install
+	cd python; python setup.py install --root=$(CURDIR)/debian/tmp \
+		--install-layout=deb --basedir=$(CURDIR) ; \
+		find $(CURDIR) -name *.pyc -delete
+
 override_dh_clean:
 	dh_clean
 	rm -rf `find . -name .libs` \
 	       python/build         \
-	       python/netsnmp_python.egg-info
+	       python/netsnmp_python.egg-info \
+	       dist/generation-scripts/gen-variables \
+	       perl/SNMP/t/snmptest.cmd \
+	       perl/TrapReceiver/const-c.inc \
+	       perl/TrapReceiver/const-xs.inc
 
 override_dh_strip:
 	dh_strip -plibsnmp$(LIB_VERSION) --dbg-package=libsnmp$(LIB_VERSION)-dbg
@@ -71,14 +85,12 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -plibsnmp$(LIB_VERSION) -V"libsnmp$(LIB_VERSION) (>= $(COMPAT_VERSION))"
 
-override_dh_install:
-	cd python; python setup.py build --basedir=$(CURDIR) ; \
-		   python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb --basedir=$(CURDIR) ; \
-		   find $(CURDIR) -name *.pyc -delete
+override_dh_install-arch:
+	dh_install
 	install $(CURDIR)/EXAMPLE.conf $(CURDIR)/debian/snmpd/etc/snmp/snmpd.conf
-	dh_install
 
 override_dh_installdocs:
+	dh_installdocs -plibsnmp-perl -ptkmib -plibsnmp-base -plibsnmp$(LIB_VERSION)
 	dh_installdocs --link-doc=libsnmp$(LIB_VERSION) \
 		       -plibsnmp-dev \
 		       -plibsnmp$(LIB_VERSION)-dbg \
@@ -86,20 +98,23 @@
 		       -psnmpd \
 		       -psnmptrapd \
 		       -psnmp
-	dh_installdocs  -plibsnmp-perl -ptkmib -plibsnmp-base
-	# dh_installdocs has a bug when --link-doc is called it don't install copyright file to referenced package
-	# so specify to copy it
-	install -d $(CURDIR)/debian/libsnmp$(LIB_VERSION)/usr/share/doc/libsnmp$(LIB_VERSION)/
-	install -m644 debian/copyright $(CURDIR)/debian/libsnmp$(LIB_VERSION)/usr/share/doc/libsnmp$(LIB_VERSION)/
 
-override_dh_fixperms:
+override_dh_fixperms-arch:
 	dh_fixperms
 	chmod -x debian/libsnmp-dev/etc/snmp/*.conf
 	chmod 600 debian/snmpd/etc/snmp/snmp*d.conf
 
+.PHONY: override_dh_apport
+override_dh_apport:
+	dh_apport -psnmpd
+
 override_dh_auto_test:
 	# prevent test since it fails with network configuration under pbuilder/etc.
 	true
+
+override_dh_systemd_enable:
+	dh_systemd_enable --package=snmptrapd --no-enable
+	dh_systemd_enable --remaining-packages
 
 get-orig-source:
 	@uscan --download-version $(UPSTREAM_VERSION) --destdir /tmp --force-download --no-symlink

## net-snmp 5.7.3%2Bdfsg.2

=== debian/changelog ===
net-snmp (5.7.3+dfsg.2-5+deb10u2) unstable; urgency=medium

  * update

 -- Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>  Tue, 23 Feb 2021 13:44:04 +0800

net-snmp (5.7.3+dfsg.2-5+deb10u2) buster; urgency=high

  * snmpd: Add cacheTime and execType flags to EXTEND-MIB.
    Previous security release made EXTEND-MIB read-only which meant
    it was not possible to set the timeout of the cache. This patch
    allows the administrator to set the value in the snmpd.conf file.
    Closes: #969508

 -- Craig Small <csmall@debian.org>  Thu, 28 Jan 2021 20:49:23 +1100

net-snmp (5.7.3+dfsg.1-1+dde) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild

 -- zhouzilong <zhouzilong@uniontech.com>  Thu, 03 Sep 2020 08:54:44 +0800

net-snmp (5.7.3+dfsg-5+deb10u1) buster-security; urgency=high

  * snmpd: Make EXTEND-MIB readonly access
    Fixes CVE-2020-15862 Closes: #965166
  * snmpd: Do not cache MIB directory
    Fixes CVE-2020-15861 Closes: #966599

 -- Craig Small <csmall@debian.org>  Fri, 31 Jul 2020 20:53:22 +1000

net-snmp (5.7.3+dfsg-5) unstable; urgency=medium

  * Use debhelper macros for shlibs Closes: #912685
  * Relocate snmp.conf to libsnmp-base Closes: #914657

 -- Craig Small <csmall@debian.org>  Sat, 05 Jan 2019 16:16:10 +1100

net-snmp (5.7.3+dfsg-4) unstable; urgency=medium

  [ Craig Small ]
  * Use correct snmpwalk args in snmpcheck Closes: #898197
  * Remove user only on purge Closes: #911216

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Removing redundant Priority field in binary package
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/watch: Use https protocol

  [ Salvatore Bonaccorso ]
  * snmpd crashes when receiving a GetNext PDU with multiple Varbinds
    (CVE-2018-18065) (Closes: #910638)

 -- Craig Small <csmall@debian.org>  Fri, 26 Oct 2018 12:40:34 +1100

net-snmp (5.7.3+dfsg-3) unstable; urgency=medium

  * Compile perl module after library Closes: #894626

 -- Craig Small <csmall@debian.org>  Wed, 04 Apr 2018 21:34:09 +1000

net-snmp (5.7.3+dfsg-2) unstable; urgency=medium

  [ Craig Small ]
  * New maintainer Closes: #835654
  * Imported old NMU diff Closes: #851343, #852479
  * Change VCS urls to salsa
  * Update to standards 4.1.3 - no change
  * Update to debhelper version 11
  * Remove empty copyright file for libsnmp30
  * snmp.prerm - remove killall
  * snmpd and snmptrapd init scripts follow LSB minimal skeleton
    Closes: #823079, #746397
  * Drop Jochen Friedrich from Uploaders Closes: #891770
  * Make snmpd and snmptrapd write pid files Closes: #878828

  [ Hideki Yamane ]
  * debian/control
    - fix lintian error "old-style-config-script-multiarch-path" by adding
      "Multi-Arch: no" to libsnmp-dev. It also fix multi-arch install
      (Closes: #774775)
    - note net-snmp-config script moved to libsnmp-dev (Closes: #801991)
      Thanks to Vanush Misha Paturyan <misha@cs.nuim.ie>
  * debian/libsnmp-perl.manpages
    - fix to install perl modules man pages (Closes: #778539)
      Thanks to Guillem Jover <gjover@sipwise.com> for the patch
  * move debian/NEWS to debian/snmpd.NEWS (Closes: #586722, #587183)
  * debian/control
    - drop Hideki Yamane <henrich@debian.org> from Uploaders.

 -- Craig Small <csmall@debian.org>  Sat, 31 Mar 2018 20:00:51 +1100

net-snmp (5.7.3+dfsg-1.8) unstable; urgency=medium

  * Non-maintainer upload.
  * Add support for OpenSSL 1.1.0 and revert that were added
    (Closes: #828449):
    - add libssl-dev back as dependency of libsnmp-dev
    - drop the guard which enforced libssl 1.0.2
    - add -lcrypto back to pkg-config

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 23 Dec 2017 23:48:23 +0100

net-snmp (5.7.3+dfsg-1.7) unstable; urgency=medium

  [ Niels Thykier ]
  * Non-maintainer upload with the following changes from
    other people.

  [ Sebastian Andrzej Siewior ]
  * drop dep on libssl1.0-dev in the dev package.  (Closes: #851946)
  * add a guard to catch users of the wrong library
  * remove "-lcrypto" from the pkg-config when linking statically.
    This is technical suboptimal and should ideally be reverted
    for buster (when all packages migrate to the same ssl version).

  [ Adrian Bunk ]
  * Re-able "pie" hardening as its absence is causing issues for
    reverse dependencies.  (Closes: #852023)

 -- Niels Thykier <niels@thykier.net>  Tue, 24 Jan 2017 20:16:23 +0000

net-snmp (5.7.3+dfsg-1.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Update Build-Depends to use libssl1.0-dev and
    default-libmysqlclient-dev.  (Closes: #846569, #836312)
  * Use "perl" instead of the (now removed) "perl-modules" package
    in Recommends.
  * Add dh-python build-depends because dh_python2 asked for it.
  * Drop debian/libsnmp30.postinst - its entire contents was handled
    by debhelper.

 -- Niels Thykier <niels@thykier.net>  Sat, 14 Jan 2017 08:40:05 +0000

net-snmp (5.7.3+dfsg-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with Perl 5.24: error: conflicting types for 'U64'":
    add patch from upstream git which removes the U64 typedef from the
    Net-SNMP header files.
    Thanks to Niky Tyni for extracting the patch.
    (Closes: #825014)
  * Additionally add another patch from upstream git which fixes
    perl/*/Makefile.PL to fix build failures with Perl 5.24.
    Cf. https://sourceforge.net/p/net-snmp/bugs/2712/

 -- gregor herrmann <gregoa@debian.org>  Fri, 02 Sep 2016 16:43:42 +0200

net-snmp (5.7.3+dfsg-1.4) unstable; urgency=medium

  [ Sophie Brun ]
  * Non-maintainer upload.
  * Add a snmpd.service and a snmptrapd.service (Closes: #782243)

  [ Raphaël Hertzog ]
  * Fix the package so that it can build "Arch: all" without "Arch: any" (and
    thus letting us make source only uploads).

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 20 Jun 2016 10:24:35 +0200

net-snmp (5.7.3+dfsg-1.3) unstable; urgency=medium



## net-snmp 5.7.3+dfsg

=== dist/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 NAME = net-snmp
 
 # Define the default RPM release number. Set by Version-Munge.pl
-VERSION = 5.7.2.1
+VERSION = 5.7.3
 
 VERSION_TAG=`echo Ext-$(VERSION) | sed 's/\./-/g;'`

=== debian/changelog ===
net-snmp (5.7.3+dfsg-5ubuntu1.2) disco; urgency=medium

  * d/p/put-paranthesis-around-macros-which-are-expressions.patch:
    - put paranthesis around macros which are expressions.
    (LP: #1843036)

  * d/p/fix-check-hr-filesys-autofs.patch:
    - On Linux getmntent() is available but getfsstat() not.
      Hence remove #if HAVE_GETFSSTAT from around the HRFS_type
      check.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Fri, 06 Sep 2019 23:44:49 +0000

net-snmp (5.7.3+dfsg-5ubuntu1.1) disco; urgency=medium

  * Skip autofs entries when calling statfs to prevent autofs being mounted on
    snmp startup (LP: #1835818):
    - d/p/autofs-skip-autofs-entries.patch
    - d/p/autofs-fix-a-recently-introduced-bug.patch

 -- Ioanna Alifieraki <ioanna-maria.alifieraki@canonical.com>  Wed, 21 Aug 2019 11:46:06 +0000

net-snmp (5.7.3+dfsg-5ubuntu1) disco; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add apport hook.
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
    - d/p/0001-swinst_apt.c-Fix-indexing-of-hrSWInstalledTable-to-s.patch:
      set first hrSWInstalledIndex to 1 to follow RFC 2790 (LP #1314760)
  * Drop:
    - SECURITY UPDATE: DoS via NULL pointer exception
      + debian/patches/CVE-2018-18065.patch: fix logic in
        agent/helpers/table.c.
      + CVE-2018-18065
      [Fixed in 5.7.3+dfsg-4]
    - d/p/my_load_defaults: use my_load_defaults instead of the
      libmysqlclient-internal load_defaults (LP #1565003). Thanks to Lars
      Tangvald.
      [Replaced by a more complete patch]
    - debian/rules: Fix calculation of UPSTREAM_VERSION and COMPAT_VERSION.
      [No more needed since 5.7.3+dfsg-5]
  * Added:
    - d/p/snmptrapd_mysql_init: drop this patch. The first part fixes builds
      with newer mariadb, which Ubuntu doesn't use, and the second part is
      an unrelated change which we are fixing in another patch (see #1814254
      for details).
    - d/p/0001-Link-libnetsnmptrapd-against-MYSQL_LIBS.patch: Link
      libnetsnmptrapd against MYSQL_LIBS.  Thanks to Adam
      Williamson <awilliam@redhat.com>. (Closes: #886221, LP: #1814254)
    - Fix build with mysql-8 (LP: #1814270):
      + d/p/mysql8-replace-bool.patch: newer mysql dropped my_bool, use char
        instead.
      + d/p/my-load-defaults.patch: properly detect (and use)
        my_load_defaults(). This replaces the previous
        my_load_defaults patch.
      + d/p/mysql8-headers.patch: detect if my_global.h and my_sys.h are
        available
      + d/p/mysql-init.patch: handle the various mysql init functions
      + d/p/mysql-options.patch: use mysql_options if no {my_,}load_defaults
        was found.

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 05 Feb 2019 16:00:35 -0200

net-snmp (5.7.3+dfsg-1.8ubuntu5) disco; urgency=medium

  * No-change rebuild against latest lm-sensors

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 02 Jan 2019 17:37:45 -0500

net-snmp (5.7.3+dfsg-1.8ubuntu4) disco; urgency=medium

  * debian/rules: Fix calculation of UPSTREAM_VERSION and COMPAT_VERSION.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 05 Nov 2018 13:22:39 -0700

net-snmp (5.7.3+dfsg-1.8ubuntu3.18.10.1) cosmic-security; urgency=medium

  * SECURITY UPDATE: DoS via NULL pointer exception
    - debian/patches/CVE-2018-18065.patch: fix logic in
      agent/helpers/table.c.
    - CVE-2018-18065

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 22 Oct 2018 08:03:49 -0400

net-snmp (5.7.3+dfsg-1.8ubuntu3) bionic; urgency=medium

  * d/p/0001-swinst_apt.c-Fix-indexing-of-hrSWInstalledTable-to-s.patch:
    set first hrSWInstalledIndex to 1 to follow RFC 2790 (LP: #1314760)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 20 Feb 2018 15:24:41 +0100

net-snmp (5.7.3+dfsg-1.8ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 17:54:39 +0000

net-snmp (5.7.3+dfsg-1.8ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable (LP: #1742518). Remaining changes:
    - Add apport hook.
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
    - d/p/my_load_defaults: use my_load_defaults instead of the
      libmysqlclient-internal load_defaults (LP #1565003). Thanks to Lars
      Tangvald.
  * Dropped:
    - Avoid installing links in rc[06].d.
      [It's not clear what it was trying to solve (no details or bug
      number), but update-rc.d no longer takes start/stop arguments and
      this delta was actually resulting in warnings during the installation.
      Also, Ubuntu is using systemd now and this package has systemd service
      files.]

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 11 Jan 2018 16:07:07 -0200

net-snmp (5.7.3+dfsg-1.7ubuntu1) artful; urgency=medium

  * Merge with Debian unstable (LP: #1712569). Remaining changes:
    - Add apport hook.
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
    - Avoid installing links in rc[06].d.
    - d/p/my_load_defaults: use my_load_defaults instead of the
      libmysqlclient-internal load_defaults (LP #1565003). Thanks to Lars
      Tangvald.
  * Drop:
    - SECURITY UPDATE: denial of service and possible code execution via
      incompletely parsed varBind variables
      + debian/patches/CVE-2015-5621.patch: don't return incorrectly parsed
        varbinds in snmplib/snmp_api.c.
      + CVE-2015-5621
      [Added by Debian as 0025-Bug-788964-net-snmp-snmp_pdu_parse-DoS.patch
      in 5.7.3+dfsg-1.1]
    - debian/snmp.preinst:
      It turns out that the original motivation why killall was added is gone.
      So we can just remove the killall introduced by Ubuntu LP #573391
      (Closes: #781257, LP #1245604)


=== debian/control ===
--- 
+++ 
@@ -3,23 +3,24 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>
-Uploaders: Jochen Friedrich <jochen@scram.de>, Thomas Anders <tanders@users.sourceforge.net>, Noah Meyerhans <noahm@debian.org>,
- Hideki Yamane <henrich@debian.org>
-Build-Depends: debhelper (>= 9), libtool, libwrap0-dev, libssl-dev, perl (>=5.8), libperl-dev,
+Uploaders: Craig Small <csmall@debian.org>,
+ Thomas Anders <tanders@users.sourceforge.net>,
+ Noah Meyerhans <noahm@debian.org>
+Build-Depends: debhelper (>= 11),
+ libtool, libwrap0-dev, libssl-dev, perl (>=5.8), libperl-dev,
  python-all (>= 2.6.6-3~), python-setuptools (>=0.6b3), python2.7-dev,
- autoconf, automake, autotools-dev, debianutils (>=1.13.1),
- dh-autoreconf, dh-systemd,
- bash (>=2.05), findutils (>=4.1.20), procps, 
- pkg-config [kfreebsd-i386 kfreebsd-amd64], 
- libbsd-dev [kfreebsd-i386 kfreebsd-amd64], 
- libkvm-dev [kfreebsd-i386 kfreebsd-amd64], 
+ autoconf, automake, debianutils (>=1.13.1),
+ dh-python,
+ bash (>=2.05), findutils (>=4.1.20), procps,
+ pkg-config [kfreebsd-i386 kfreebsd-amd64],
+ libbsd-dev [kfreebsd-i386 kfreebsd-amd64],
+ libkvm-dev [kfreebsd-i386 kfreebsd-amd64],
  libsensors4-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
- default-libmysqlclient-dev, libpci-dev, dh-python, dh-apport
+ default-libmysqlclient-dev, libpci-dev, dh-apport
 Build-Conflicts: libsnmp-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-net-snmp/pkg-net-snmp.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-net-snmp/pkg-net-snmp.git
-XS-Python-Version: 2.7
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/debian/net-snmp.git
+Vcs-Browser: https://salsa.debian.org/debian/net-snmp
 Homepage: http://net-snmp.sourceforge.net/
 
 Package: snmpd
@@ -39,8 +40,8 @@
 Recommends: perl
 Depends: ${shlibs:Depends}, ${misc:Depends}, snmpd
 Conflicts: snmpd (<< 5.7.2.1~dfsg-1), snmp (<< 5.7.2.1~dfsg-1)
-Breaks: snmpd (<< 5.7.2.1~dfsg-1)
-Replaces: snmp (<< 5.7.2.1~dfsg-1)
+Breaks: snmpd (<< 5.7.2.1~dfsg-1), snmp (<< 5.7.3+dfsg-2)
+Replaces: snmp (<< 5.7.2.1~dfsg-1), snmp (<< 5.7.3+dfsg-2)
 Description: Net-SNMP notification receiver
  The Simple Network Management Protocol (SNMP) provides a framework
  for the exchange of management information between agents (servers)
@@ -52,12 +53,12 @@
 Package: snmp
 Architecture: any
 Recommends: perl
-Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base
+Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base (>= 5.7.3+dfsg-5)
 Breaks: libsnmp15 (<< 5.7.2~dfsg-0.1)
 Description: SNMP (Simple Network Management Protocol) applications
  The Simple Network Management Protocol (SNMP) provides a framework
  for the exchange of management information between agents (servers)
- and clients. 
+ and clients.
  .
  The Net-SNMP applications are a collection of command line clients
  for issuing SNMP requests to agents.
@@ -65,9 +66,9 @@
 Package: libsnmp-base
 Section: libs
 Architecture: all
-Replaces: libsnmp-dev (<< 5.4~dfsg), libsnmp9-dev (<< 5.4~dfsg), libsnmp15 (<< 5.7.2~dfsg-5)
+Replaces: libsnmp-dev (<< 5.4~dfsg), libsnmp9-dev (<< 5.4~dfsg), libsnmp15 (<< 5.7.2~dfsg-5), snmp (<< 5.7.3+dfsg-5)
 Conflicts: libsnmp-dev (<< 5.4~dfsg), libsnmp9-dev (<< 5.4~dfsg), libsnmp30 (<< 5.7.2~dfsg-5)
-Breaks: libsnmp15 (<< 5.7.2~dfsg-5)
+Breaks: libsnmp15 (<< 5.7.2~dfsg-5), snmp (<< 5.7.3+dfsg-5)
 Depends: ${misc:Depends}
 Suggests: snmp-mibs-downloader
 Multi-Arch: foreign
@@ -76,10 +77,9 @@
  for the exchange of management information between agents (servers)
  and clients.
  .
- This package includes net-snmp-config scripts, documentation and MIBs
- (Management Information Bases) for the SNMP libraries, agents and
- applications. MIBs contain a formal description of the data that can be
- managed using SNMP and applications.
+ This package includes documentation and MIBs (Management Information Bases)
+ for the SNMP libraries, agents and applications. MIBs contain a formal
+ description of the data that can be managed using SNMP and applications.
  .
  NOTE: If you want the OIDs (Object Identifiers) to resolve to their text
  description, you need to activate the non-free repository and install the
@@ -104,7 +104,6 @@
 
 Package: libsnmp30-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends: libsnmp30 (=${binary:Version}), ${misc:Depends}
 Description: SNMP (Simple Network Management Protocol) library debug
@@ -117,6 +116,7 @@
 Package: libsnmp-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: no
 Replaces: libsnmp9-dev, libsnmp15-dev, snmp (<< 5.4~dfsg), libsnmp-base (<< 5.7.2~dfsg-8.1~)
 Provides: libsnmp9-dev
 Conflicts: libsnmp9-dev, libsnmp15-dev, snmp (<< 5.4~dfsg)
@@ -130,8 +130,8 @@
  and clients.
  .
  The Net-SNMP development files include the library headers, static
- libraries, and documentation needed for development of custom SNMP
- applications.
+ libraries, net-snmp-config scripts and documentation needed for development
+ of custom SNMP applications.
 
 Package: libsnmp-perl
 Section: perl

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 LIB_VERSION = 30
-UPSTREAM_VERSION = $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ':' | sed 's/ //' | sed 's/~dfsg.*$$//')
-COMPAT_VERSION = $(UPSTREAM_VERSION)~dfsg
 PYTHON_VERSION = 1.0a1
 
 MIB_MODULES = smux ucd-snmp/dlmod mibII/mta_sendmail disman/event-mib
@@ -35,7 +33,7 @@
 endif
 
 %:
-	dh $@ --with autotools-dev,autoreconf,python2,systemd,apport
+	dh $@ --with python2,apport
 
 override_dh_auto_configure:
 	dh_auto_configure -- --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man \
@@ -83,7 +81,7 @@
 	dh_strip
 
 override_dh_makeshlibs:
-	dh_makeshlibs -plibsnmp$(LIB_VERSION) -V"libsnmp$(LIB_VERSION) (>= $(COMPAT_VERSION))"
+	dh_makeshlibs -plibsnmp$(LIB_VERSION) -VUpstream-Version
 
 override_dh_install-arch:
 	dh_install
@@ -112,17 +110,11 @@
 	# prevent test since it fails with network configuration under pbuilder/etc.
 	true
 
-override_dh_systemd_enable:
-	dh_systemd_enable --package=snmptrapd --no-enable
-	dh_systemd_enable --remaining-packages
+override_dh_installsystemd:
+	dh_installsystemd -psnmptrapd --no-enable --no-start
+	dh_installsystemd -Nsnmptrapd
 
-get-orig-source:
-	@uscan --download-version $(UPSTREAM_VERSION) --destdir /tmp --force-download --no-symlink
-	@tar xf /tmp/net-snmp-$(UPSTREAM_VERSION).tar.gz -C /tmp
-	@rm -rf /tmp/net-snmp-$(UPSTREAM_VERSION)/doc
-	@cd /tmp/net-snmp-$(UPSTREAM_VERSION)/mibs; \
-	 grep ^iana ianalist | while read iana mibs; do rm -f `echo $$mibs | sed -e s/$$/.txt/`; done; \
-	 cat rfclist | while read rfc mibs; do rm -f `echo $$mibs | sed 's/:/.txt /g' | sed 's/$$/.txt/'`; done
-	@rm -f /tmp/net-snmp-$(UPSTREAM_VERSION)/mibs/RFC-1215.txt
-	@cd /tmp; tar cJf net-snmp_$(COMPAT_VERSION).orig.tar.xz net-snmp-$(UPSTREAM_VERSION)
-	@rm -rf /tmp/net-snmp-$(UPSTREAM_VERSION)
+override_dh_installinit:
+	dh_installinit -psnmptrapd --no-enable --no-start
+	dh_installinit -Nsnmptrapd
+

## net-snmp 5.7.3+dfsg.2

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 endif
 
 %:
-	dh $@ --with python2,apport
+	dh $@ --with python2
 
 override_dh_auto_configure:
 	dh_auto_configure -- --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man \
@@ -102,10 +102,6 @@
 	chmod -x debian/libsnmp-dev/etc/snmp/*.conf
 	chmod 600 debian/snmpd/etc/snmp/snmp*d.conf
 
-.PHONY: override_dh_apport
-override_dh_apport:
-	dh_apport -psnmpd
-
 override_dh_auto_test:
 	# prevent test since it fails with network configuration under pbuilder/etc.
 	true

## net-snmp 5.7.3.1

=== debian/changelog ===
net-snmp (5.7.3.1-deepin1) buster-security; urgency=high

  * fix:CVE-2022-44792 and CVE-2022-44793

 -- yanghaibo <yanghaibo@uniontech.com>  Tue, 31 Jan 2023 11:37:07 +0800

net-snmp (5.7.3+dfsg-5+deb10u3) buster-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * snmpd_fix_bounds_checking: CVE-2022-24805, CVE-2022-24809
  * snmpd_recover_set_status: CVE-2022-24806, CVE-2022-24807, CVE-2022-24808,
    CVE-2022-24810
  * patches based on the backports of Craig Small to Bullseye

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 26 Aug 2022 22:03:02 +0200

net-snmp (5.7.3+dfsg-5+deb10u2) buster; urgency=high

  * snmpd: Add cacheTime and execType flags to EXTEND-MIB.
    Previous security release made EXTEND-MIB read-only which meant
    it was not possible to set the timeout of the cache. This patch
    allows the administrator to set the value in the snmpd.conf file.
    Closes: #969508

 -- Craig Small <csmall@debian.org>  Thu, 28 Jan 2021 20:49:23 +1100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: net-snmp
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>
+Maintainer: Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>
 Uploaders: Craig Small <csmall@debian.org>,
  Thomas Anders <tanders@users.sourceforge.net>,
  Noah Meyerhans <noahm@debian.org>
@@ -16,7 +15,7 @@
  libbsd-dev [kfreebsd-i386 kfreebsd-amd64],
  libkvm-dev [kfreebsd-i386 kfreebsd-amd64],
  libsensors4-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
- default-libmysqlclient-dev, libpci-dev, dh-apport
+ default-libmysqlclient-dev, libpci-dev
 Build-Conflicts: libsnmp-dev
 Standards-Version: 4.1.3
 Vcs-Git: https://salsa.debian.org/debian/net-snmp.git

## net-snmp 5.8%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,29 @@
 Source: net-snmp
 Section: net
 Priority: optional
-Maintainer: Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>
 Uploaders: Craig Small <csmall@debian.org>,
  Thomas Anders <tanders@users.sourceforge.net>,
  Noah Meyerhans <noahm@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
  libtool, libwrap0-dev, libssl-dev, perl (>=5.8), libperl-dev,
- python-all (>= 2.6.6-3~), python-setuptools (>=0.6b3), python2.7-dev,
  autoconf, automake, debianutils (>=1.13.1),
- dh-python,
  bash (>=2.05), findutils (>=4.1.20), procps,
  pkg-config [kfreebsd-i386 kfreebsd-amd64],
  libbsd-dev [kfreebsd-i386 kfreebsd-amd64],
  libkvm-dev [kfreebsd-i386 kfreebsd-amd64],
  libsensors4-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
- default-libmysqlclient-dev, libpci-dev
+ default-libmysqlclient-dev, libpci-dev, dh-apport
 Build-Conflicts: libsnmp-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/debian/net-snmp.git
 Vcs-Browser: https://salsa.debian.org/debian/net-snmp
 Homepage: http://net-snmp.sourceforge.net/
 
 Package: snmpd
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, debconf, lsb-base (>= 3.2-13), libsnmp-base
 Suggests: snmptrapd
 Description: SNMP (Simple Network Management Protocol) agents
@@ -38,9 +38,8 @@
 Architecture: any
 Recommends: perl
 Depends: ${shlibs:Depends}, ${misc:Depends}, snmpd
-Conflicts: snmpd (<< 5.7.2.1~dfsg-1), snmp (<< 5.7.2.1~dfsg-1)
-Breaks: snmpd (<< 5.7.2.1~dfsg-1), snmp (<< 5.7.3+dfsg-2)
-Replaces: snmp (<< 5.7.2.1~dfsg-1), snmp (<< 5.7.3+dfsg-2)
+Breaks: snmp (<< 5.7.3+dfsg-2)
+Replaces: snmp (<< 5.7.3+dfsg-2)
 Description: Net-SNMP notification receiver
  The Simple Network Management Protocol (SNMP) provides a framework
  for the exchange of management information between agents (servers)
@@ -53,7 +52,6 @@
 Architecture: any
 Recommends: perl
 Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base (>= 5.7.3+dfsg-5)
-Breaks: libsnmp15 (<< 5.7.2~dfsg-0.1)
 Description: SNMP (Simple Network Management Protocol) applications
  The Simple Network Management Protocol (SNMP) provides a framework
  for the exchange of management information between agents (servers)
@@ -65,9 +63,8 @@
 Package: libsnmp-base
 Section: libs
 Architecture: all
-Replaces: libsnmp-dev (<< 5.4~dfsg), libsnmp9-dev (<< 5.4~dfsg), libsnmp15 (<< 5.7.2~dfsg-5), snmp (<< 5.7.3+dfsg-5)
-Conflicts: libsnmp-dev (<< 5.4~dfsg), libsnmp9-dev (<< 5.4~dfsg), libsnmp30 (<< 5.7.2~dfsg-5)
-Breaks: libsnmp15 (<< 5.7.2~dfsg-5), snmp (<< 5.7.3+dfsg-5)
+Replaces: snmp (<< 5.7.3+dfsg-5)
+Breaks: snmp (<< 5.7.3+dfsg-5)
 Depends: ${misc:Depends}
 Suggests: snmp-mibs-downloader
 Multi-Arch: foreign
@@ -84,11 +81,9 @@
  description, you need to activate the non-free repository and install the
  "snmp-mibs-downloader" package.
 
-Package: libsnmp30
+Package: libsnmp35
 Section: libs
 Architecture: any
-Replaces: libsnmp-base (<< 5.4.2.1~dfsg-4), snmp (<< 5.4.3~dfsg-1), libsnmp15
-Breaks: libsnmp15
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base
@@ -101,10 +96,10 @@
  sending, receiving, decoding, and manipulation of the SNMP requests
  and responses.
 
-Package: libsnmp30-dbg
+Package: libsnmp35-dbg
 Section: debug
 Architecture: any
-Depends: libsnmp30 (=${binary:Version}), ${misc:Depends}
+Depends: libsnmp35 (=${binary:Version}), ${misc:Depends}
 Description: SNMP (Simple Network Management Protocol) library debug
  The Simple Network Management Protocol (SNMP) provides a framework
  for the exchange of management information between agents (servers)
@@ -116,12 +111,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: no
-Replaces: libsnmp9-dev, libsnmp15-dev, snmp (<< 5.4~dfsg), libsnmp-base (<< 5.7.2~dfsg-8.1~)
-Provides: libsnmp9-dev
-Conflicts: libsnmp9-dev, libsnmp15-dev, snmp (<< 5.4~dfsg)
-Breaks: libsnmp-base (<< 5.7.2~dfsg-8.1~)
-Depends: libc6-dev, libsnmp30 (=${binary:Version}), libwrap0-dev, libssl-dev, procps,
-         libkvm-dev [kfreebsd-any], libsensors4-dev [linux-any], ${misc:Depends},
+Depends: libc6-dev, libsnmp35 (=${binary:Version}), libwrap0-dev, libssl-dev, procps,
+         libkvm-dev [kfreebsd-any], libsensors-dev [linux-any], ${misc:Depends},
          libpci-dev
 Description: SNMP (Simple Network Management Protocol) development files
  The Simple Network Management Protocol (SNMP) provides a framework
@@ -144,22 +135,6 @@
  The Net-SNMP Perl5 support files provide the Perl functions for
  integration of SNMP into applications written in Perl.
 
-Package: python-netsnmp
-Section: python
-Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Breaks: libsnmp-python
-Replaces: libsnmp-python
-Provides: libsnmp-python, ${python:Provides}
-XB-Python-Version: ${python:Versions}
-Description: SNMP (Simple Network Management Protocol) Python support
- The Simple Network Management Protocol (SNMP) provides a framework
- for the exchange of management information between agents (servers)
- and clients.
- .
- The Net-SNMP Python support files provide the Python functions for
- integration of SNMP into applications written in Python.
-
 Package: tkmib
 Architecture: all
 Depends: libsnmp-perl (>=${source:Version}), perl-tk, ${misc:Depends}
